-- moreSounds.lua
-- Script for sounds when playing animations
--
-- Author RivalBomb
-- 05.01.2016
-- edit 23.04.2016

moreSounds = {};

function moreSounds.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(AnimatedVehicle, specializations);
end;

function moreSounds:load(savegame)
    if self.isClient then
        self.sampleOpenDoorL = Utils.loadSample(xmlFile, {}, "vehicle.openDoorSound", "sounds/auf.wav", self.baseDirectory, self.components[1].node);
        self.sampleCloseDoorL = Utils.loadSample(xmlFile, {}, "vehicle.closeDoorSound", "sounds/zu.wav", self.baseDirectory, self.components[1].node);
        
        self.sampleOpenDoorR = Utils.loadSample(xmlFile, {}, "vehicle.openDoorSound", "sounds/auf.wav", self.baseDirectory, self.components[1].node);
        self.sampleCloseDoorR = Utils.loadSample(xmlFile, {}, "vehicle.closeDoorSound", "sounds/zu.wav", self.baseDirectory, self.components[1].node);
        
        self.sampleOpenDoorBack = Utils.loadSample(xmlFile, {}, "vehicle.openDoorSound", "sounds/auf.wav", self.baseDirectory, self.components[1].node);
        self.sampleCloseDoorBack = Utils.loadSample(xmlFile, {}, "vehicle.closeDoorSound", "sounds/zu.wav", self.baseDirectory, self.components[1].node);
    end;
end;
function moreSounds:delete()
    if self.sampleOpenDoorL ~= nil then
        Utils.deleteSample(self.sampleOpenDoorL);
    end;
    if self.sampleOpenDoorR ~= nil then
        Utils.deleteSample(self.sampleOpenDoorR);
    end;
    
    if self.sampleCloseDoorL ~= nil then
        Utils.deleteSample(self.sampleCloseDoorL);
    end;
    if self.sampleCloseDoorR ~= nil then
        Utils.deleteSample(self.sampleCloseDoorR);
    end;
    
    if self.sampleOpenDoorBack ~= nil then
        Utils.deleteSample(self.sampleOpenDoorBack);
    end;
    if self.sampleCloseDoorBack ~= nil then
        Utils.deleteSample(self.sampleCloseDoorBack);
    end;
end;
function moreSounds:mouseEvent(posX, posY, isDown, isUp, button)
end;
function moreSounds:keyEvent(unicode, sym, modifier, isDown)
end;
function moreSounds:update(dt)
    if self.isClient then
            if self:getIsAnimationPlaying("leftSide") then
                if self.animations["leftSide"].currentSpeed > 0 then
                    if not Utils.isSamplePlaying(self.sampleOpenDoorL, 1.5*dt) then
                        Utils.playSample(self.sampleOpenDoorL,1,1,nil);
                    end;
                elseif self.animations["leftSide"].currentSpeed < 0 then
                    if not Utils.isSamplePlaying(self.sampleCloseDoorL, 1.5*dt) then
                        Utils.playSample(self.sampleCloseDoorL,1,1,nil);
                    end;
                end;
            end;
            
            if self:getIsAnimationPlaying("rightSide") then
                if self.animations["rightSide"].currentSpeed > 0 then
                    if not Utils.isSamplePlaying(self.sampleOpenDoorR, 1.5*dt) then
                        Utils.playSample(self.sampleOpenDoorR,1,1,nil);
                    end;
                elseif self.animations["rightSide"].currentSpeed < 0 then
                    if not Utils.isSamplePlaying(self.sampleCloseDoorR, 1.5*dt) then
                        Utils.playSample(self.sampleCloseDoorR,1,1,nil);
                    end;
                end;
            end;
            
            if self:getIsAnimationPlaying("backSide") then
                if self.animations["backSide"].currentSpeed > 0 then
                    if not Utils.isSamplePlaying(self.sampleOpenDoorBack, 1.5*dt) then
                        Utils.playSample(self.sampleOpenDoorBack,1,1,nil);
                    end;
                elseif self.animations["backSide"].currentSpeed < 0 then
                    if not Utils.isSamplePlaying(self.sampleCloseDoorBack, 1.5*dt) then
                        Utils.playSample(self.sampleCloseDoorBack,1,1,nil);
                    end;
                end;
            end;

    end;
end;

function moreSounds:updateTick(dt)
end;
function moreSounds:draw()    
end;